diff -Naur smpeg-0.4.4/configure.in smpeg-0.4.4-p/configure.in
--- smpeg-0.4.4/configure.in	2001-04-24 21:25:39.000000000 +0200
+++ smpeg-0.4.4-p/configure.in	2007-11-04 07:40:11.000000000 +0100
@@ -1,6 +1,9 @@
 
 dnl Process this file with autoconf to produce a configure script.
 AC_INIT(README)
+dnl Detect the canonical host and target build environment
+AC_CANONICAL_HOST
+AC_CANONICAL_TARGET
 
 dnl Set various version strings - taken gratefully from the GTk sources
 #
@@ -40,10 +43,6 @@
 dnl Setup for automake
 AM_INIT_AUTOMAKE(smpeg, $VERSION)
 
-dnl Detect the canonical host and target build environment
-AC_CANONICAL_HOST
-AC_CANONICAL_TARGET
-
 dnl Check for tools
 
 AC_PROG_MAKE_SET
@@ -53,6 +52,8 @@
 AM_PROG_LIBTOOL
 AC_PROG_INSTALL
 
+AM_PROG_AS
+
 dnl Work around the lack of certain typedefs.
 AC_TYPE_SOCKLEN_T
 
@@ -60,7 +61,7 @@
 case "$target" in
     alpha*-*-linux*)
 	if test x$ac_cv_prog_gcc = xyes; then
-            CFLAGS="$CFLAGS -mcpu=ev4 -Wa,-mall"
+            EXTRA_CFLAGS="$EXTRA_CFLAGS -mcpu=ev4 -Wa,-mall"
         fi
         ;;
     sparc*-*-solaris*)
@@ -102,17 +103,17 @@
               , enable_debug=yes)
 if test x$enable_debug != xyes; then
     if test x$ac_cv_prog_gcc = xyes; then
-        CFLAGS="$CFLAGS -fexpensive-optimizations -fomit-frame-pointer"
+        EXTRA_CFLAGS="$EXTRA_CFLAGS -fexpensive-optimizations -fomit-frame-pointer"
     fi
     case "$target" in
         i486-*-*)  # Yeah right. :)
             if test x$ac_cv_prog_gcc = xyes; then
-                CFLAGS="$CFLAGS -march=486"
+                EXTRA_CFLAGS="$EXTRA_CFLAGS -march=486"
             fi
             ;;
         i?86-*-*)
             if test x$ac_cv_prog_gcc = xyes; then
-                CFLAGS="$CFLAGS -march=pentium -mcpu=pentiumpro"
+                EXTRA_CFLAGS="$EXTRA_CFLAGS -march=pentium -mcpu=pentiumpro"
             fi
             ;;
     esac
@@ -124,7 +125,7 @@
             :,
 	    AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
 )
-CFLAGS="$CFLAGS $SDL_CFLAGS"
+EXTRA_CFLAGS="$EXTRA_CFLAGS $SDL_CFLAGS"
 LIBS="$LIBS $SDL_LIBS"
 
 dnl See if we need to pass -lm for the math library
@@ -145,7 +146,7 @@
     AC_MSG_RESULT($use_mmx)
 
     if test x$use_mmx = xyes; then
-        CFLAGS="$CFLAGS -DUSE_MMX"
+        EXTRA_CFLAGS="$EXTRA_CFLAGS -DUSE_MMX"
     fi
 fi
 
@@ -162,7 +163,7 @@
     AC_MSG_RESULT($use_ati)
 
     if test x$use_ati = xyes; then
-        CFLAGS="$CFLAGS -DUSE_ATI"
+       EXTRA_CFLAGS="$EXTRA_CFLAGS -DUSE_ATI"
     fi
 fi
 
@@ -171,7 +172,7 @@
 [  --enable-timestamp-sync  enable system timestamp sync [default=yes]],
               , enable_timestamp_sync=no)
 if test x$enable_timestamp_sync = xyes; then
-	CFLAGS="$CFLAGS -DUSE_TIMESTAMP_SYNC"
+EXTRA_CFLAGS="$EXTRA_CFLAGS -DUSE_TIMESTAMP_SYNC"
 fi
 
 dnl Enable the use of the system thread
@@ -179,7 +180,7 @@
 [  --enable-threaded-system enable system thread         [default=no]],
               , enable_threaded_system=no)
 if test x$enable_threaded_system = xyes; then
-	CFLAGS="$CFLAGS -DUSE_SYSTEM_THREAD"
+EXTRA_CFLAGS="$EXTRA_CFLAGS -DUSE_SYSTEM_THREAD"
 fi
 
 dnl Enable threaded audio
@@ -187,22 +188,9 @@
 [  --enable-threaded-audio  enable threaded audio        [default=yes]],
               , enable_threaded_audio=yes)
 if test x$enable_threaded_audio = xyes; then
-	CFLAGS="$CFLAGS -DTHREADED_AUDIO"
+EXTRA_CFLAGS="$EXTRA_CFLAGS -DTHREADED_AUDIO"
 fi
 
-dnl See if we can build the GTk player
-AC_ARG_ENABLE(gtk_player,
-[  --enable-gtk-player     build a GTk sample SMPEG player [default=yes]],
-              , enable_gtk_player=yes)
-have_gtk=no
-if test x$enable_gtk_player = xyes; then
-    AM_PATH_GTK(1.2.1, have_gtk=yes)
-    if test x$have_gtk = xyes; then
-        CFLAGS="$CFLAGS $GTK_CFLAGS"
-    fi
-    AC_SUBST(GTK_LIBS)
-fi
-AM_CONDITIONAL(HAVE_GTK, test x$have_gtk = xyes)
 
 dnl See if we can build the Mesa player
 AC_ARG_ENABLE(opengl_player,
@@ -224,7 +212,7 @@
             AC_PATH_X
             AC_PATH_XTRA
             if test x$have_x = xyes; then
-                CFLAGS="$CFLAGS $X_CFLAGS"
+               EXTRA_CFLAGS="$EXTRA_CFLAGS $X_CFLAGS"
                 SYS_GL_LIBS="$X_LIBS -lGL -lGLU"
             else
                 SYS_GL_LIBS="-lGL -lGLU"
@@ -255,17 +243,16 @@
 [  --enable-assertions     Enable consistency checks in decoding [default=no]],
               , enable_assertions=no)
 if test x$enable_assertions != xyes; then
-    CFLAGS="$CFLAGS -DNDEBUG"
+   EXTRA_CFLAGS="$EXTRA_CFLAGS -DNDEBUG"
 fi
 
 dnl Add the source include directories
-CFLAGS="$CFLAGS -I.. -DNOCONTROLS"
-CFLAGS="$CFLAGS -I\$(top_srcdir) -I\$(top_srcdir)/audio -I\$(top_srcdir)/video"
-CXXFLAGS="$CFLAGS"
-
+EXTRA_CFLAGS="$EXTRA_CFLAGS -I.. -DNOCONTROLS"
+EXTRA_CFLAGS="$EXTRA_CFLAGS -I\$(top_srcdir) -I\$(top_srcdir)/audio -I\$(top_srcdir)/video"
+CXXFLAGS="$EXTRA_CFLAGS $CXXFLAGS"
+CFLAGS="$EXTRA_CFLAGS $CFLAGS"
 
 dnl C++ flags are the same as the C flags
-CXXFLAGS="$CFLAGS"
 if test x$GCC = xyes; then
     # Check to see if options -fno-rtti -fno-exceptions are supported
     AC_MSG_CHECKING(if $CXX supports -fno-rtti -fno-exceptions)
diff -Naur smpeg-0.4.4/Makefile.am smpeg-0.4.4-p/Makefile.am
--- smpeg-0.4.4/Makefile.am	2001-04-04 22:28:14.000000000 +0200
+++ smpeg-0.4.4-p/Makefile.am	2007-11-04 07:34:25.000000000 +0100
@@ -47,32 +47,23 @@
 	README		\
 	README.SDL_mixer \
 	plaympeg.1	\
-	gtv.1		\
 	VisualC.zip	\
 	smpeg.m4	\
 	autogen.sh
 
 # Sample MPEG players
-if HAVE_GTK
-GTK_PLAYER = gtv
-else
-GTK_PLAYER =
-endif
 if HAVE_OPENGL
 OPENGL_PLAYER = glmovie
 else
 OPENGL_PLAYER =
 endif
-bin_PROGRAMS = plaympeg $(GTK_PLAYER) $(OPENGL_PLAYER)
+bin_PROGRAMS = plaympeg $(OPENGL_PLAYER)
 
 # Sources for plaympeg
 man_MANS = plaympeg.1 gtv.1
 plaympeg_SOURCES = plaympeg.c
 plaympeg_LDADD = libsmpeg.la
 
-# Sources for gtv
-gtv_SOURCES = gtv.c gtv.h
-gtv_LDADD = @GTK_LIBS@ libsmpeg.la
 
 # Sources for glmovie
 glmovie_SOURCES = glmovie-tile.c glmovie.c glmovie.h
